=== debian/changelog ===
ros-foxy-chiconybot-node (0.0.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Detullah Atas <fetulahatas1@gmail.com>  Tue, 08 Sep 2020 02:35:29 -0000

ros-foxy-chiconybot-node (0.0.1-1focal) focal; urgency=high

  * cleanly added depth cam
  * init repo
  * Contributors: jediofgever

 -- Detullah Atas <fetulahatas1@gmail.com>  Mon, 07 Sep 2020 16:00:00 -0000
