=== debian/control ===
Source: ros-foxy-chiconybot-node
Section: misc
Priority: optional
Maintainer: Detullah Atas <fetulahatas1@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-chiconybot-msgs, ros-foxy-dynamixel-sdk, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-chiconybot-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-chiconybot-msgs, ros-foxy-dynamixel-sdk, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: chiconybot driver node that include diff drive controller, odometry and tf node
